Loading...
Searching...
No Matches
opencc::FilesystemResourceProvider Class Reference
Inheritance diagram for opencc::FilesystemResourceProvider:

## Public Member Functions

| FilesystemResourceProvider (std::vector< std::string > searchPaths)
std::string | Resolve (std::string_view resourceName) const override
Public Member Functions inherited from opencc::ResourceProvider
virtual std::shared_ptr< const Resource > | GetResource (std::string_view resourceName) const

## Member Function Documentation

## Resolve()

std::string opencc::FilesystemResourceProvider::Resolve | ( | std::string_view | resourceName | ) | const

override virtual

Implements opencc::ResourceProvider.

The documentation for this class was generated from the following files:

- ResourceProvider.hpp
- ResourceProvider.cpp